> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noyo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Group Connection

> Create a new connection for a brand new group with a given carrier



## OpenAPI

````yaml POST /api/v1/group_connections
openapi: 3.0.1
info:
  description: Policy management APIs for health and ancillary insurance
  title: Noyo Fulfillment API
  version: 1.0.0
servers:
  - description: Noyo Fulfillment API - Live
    url: https://fulfillment.noyo.com
  - description: Noyo Fulfillment API - Sandbox
    url: https://fulfillment-sandbox.noyo.com
security: []
paths:
  /api/v1/group_connections:
    post:
      tags:
        - Group Connections
      summary: Create a new Group Connection
      description: Create a new connection for a brand new group with a given carrier
      operationId: createGroupConnection
      requestBody:
        content:
          application/json:
            examples:
              success:
                value:
                  carrier_id: 8fac0992-933a-4743-8dab-0d606ef2569e
                  federal_ein: '123456789'
                  group_data:
                    carrier_group_id: '10000000'
                    group_name: Test Company
            schema:
              $ref: '#/components/schemas/GroupSetupRequestPublicAPICreateRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              example:
                carrier_id: 8fac0992-933a-4743-8dab-0d606ef2569e
                created: 1557329939
                group_data:
                  carrier_group_id: '10000000'
                  group_name: Test Company
                group_id: 47c07963-2e34-4da2-86b4-cbc3c57111c1
                id: dd9a1813-34f7-4c7e-86bc-f041f2cbd9a1
                modified: 1557329939
                organization_id: d61fa455-adf4-4dc4-8c57-6d779ba9475e
                request_type: initial
                status: created
                version: 9906b5d2-e76d-4bad-ba4c-8ce90b6b867b
              schema:
                $ref: '#/components/schemas/GroupSetupRequestPublicResult'
          description: Successful Response - Returns the new Group Connection
components:
  schemas:
    GroupSetupRequestPublicAPICreateRequest:
      properties:
        carrier_id:
          description: Unique identifier of the carrier in Noyo
          format: uuid
          type: string
        data_exchange_configuration:
          description: >-
            Use the specified data exchange configuration without calculating
            connection eligibility
          enum:
            - api
            - edi
          type: string
        federal_ein:
          description: Federal Employer Identification Number for the new group/company
          example: '123123123'
          type: string
        group_data:
          allOf:
            - $ref: '#/components/schemas/GroupSetupRequestPublicGroupData'
          description: Carrier-specific data to execute a group connection
        ignore_eligibility:
          description: >-
            Use the best available data exchange configuration without
            calculating connection eligibility
          type: boolean
      required:
        - carrier_id
        - group_data
      type: object
      x-field_order:
        - carrier_id
        - organization_id
        - federal_ein
        - group_data
    GroupSetupRequestPublicResult:
      properties:
        carrier_id:
          description: Unique identifier of the carrier in Noyo
          format: uuid
          readOnly: true
          type: string
        completed:
          description: >-
            Timestamp indicating when a group connection was marked as
            completed.
          readOnly: true
          type: integer
        created:
          description: The date the record was created
          type: integer
        federal_ein:
          description: Federal Employer Identification Number for the group
          readOnly: true
          type: string
        group_data:
          allOf:
            - $ref: '#/components/schemas/GroupSetupRequestPublicGroupDataResult'
          description: Carrier-specific data to execute a group connection
        group_id:
          description: ID of associated group model
          format: uuid
          readOnly: true
          type: string
        id:
          description: Unique identifier of the group connection in Noyo
          format: uuid
          readOnly: true
          type: string
        modified:
          description: The date the record was last updated
          type: integer
        organization_id:
          description: Unique identifier of the platform or broker organization in Noyo
          format: uuid
          readOnly: true
          type: string
        request_type:
          description: Type of the group connection
          readOnly: true
          type: string
        setup_result:
          description: More information about the result of the group connection
          readOnly: true
          type: object
        status:
          description: Status of the group connection
          enum:
            - created
            - processing
            - noyo_review
            - waiting_on_carrier
            - carrier_authorization
            - action_required
            - unable_to_connect
            - completed
          readOnly: true
          type: string
        version:
          description: Current version of the record
          format: uuid
          type: string
      required:
        - carrier_id
        - created
        - group_data
        - id
        - modified
        - organization_id
        - request_type
        - setup_metadata
        - setup_result
        - status
        - version
      type: object
      x-field_order:
        - id
        - version
        - created
        - modified
        - completed
        - organization_id
        - group_id
        - carrier_id
        - request_type
        - status
        - group_data
        - setup_result
        - federal_ein
    GroupSetupRequestPublicGroupData:
      properties:
        broker_federal_ein:
          description: >-
            Brokerage or Organization Federal Employer Identification Number for
            the group's broker. 
          example: '123123123'
          type: string
        broker_tin:
          description: >-
            Invidividual or DRLP Federal Tax Identification Number for the
            group's broker. Format can be either an EIN or SSN
          example: '123123123'
          type: string
        carrier_group_id:
          description: Unique identifier for the group in the carrier system
          minLength: 1
          type: string
        employer_email_address:
          description: Email address of the group's employer
          example: employer@example.com
          type: string
        group_name:
          description: Name for the group in the Noyo system
          minLength: 1
          type: string
      required:
        - carrier_group_id
        - group_name
      type: object
      x-field_order:
        - carrier_group_id
        - group_name
        - broker_federal_ein
        - broker_tin
        - employer_email_address
    GroupSetupRequestPublicGroupDataResult:
      properties:
        broker_federal_ein:
          description: Broker federal EIN, used in Principal groups
          readOnly: true
          type: string
        broker_tin:
          description: Broker TIN, used in Anthem groups
          readOnly: true
          type: string
        carrier_group_id:
          description: Unique identifier for the group in the carrier system
          readOnly: true
          type: string
        employer_email_address:
          description: Email address of the group's employer
          readOnly: true
          type: string
        group_name:
          description: Name for the group in the Noyo system
          readOnly: true
          type: string
      required:
        - carrier_group_id
        - group_name
      type: object

````